package com.puppy.uhfexample.bean;

public class MessageEvent {

    public int whatMsg;
    public Object msgData;
    private static final Object sPoolSync = new Object();
    private static MessageEvent sPool;

    public MessageEvent() {
        sPool = this;
    }

    public static MessageEvent obtain() {
        synchronized (sPoolSync) {
            if (sPool != null) {
                MessageEvent msgEvent = sPool;
                msgEvent.whatMsg = 0;
                msgEvent.msgData = null;
                return msgEvent;
            }
        }
        return new MessageEvent();
    }

    public MessageEvent(int whatMsg, Object msgData) {
        this.whatMsg = whatMsg;
        this.msgData = msgData;
        sPool = this;
    }

}
