package com.puppy.uhfexample.presenter;

import com.puppy.uhfexample.base.BaseFragment;
import com.puppy.uhfexample.base.BasePresenter;
import com.puppy.uhfexample.base.BaseView;
import com.puppy.uhfexample.bean.BlueToothTriggerInfo;

public interface BtTriggerContract {

    interface BtTriggerView extends BaseView {

        //        void initInfo(String[] strings);
        void initInfo(BlueToothTriggerInfo triggerInfo);

        void refreshBatteryLev(String str);

        boolean isVisibility();

        void showKeyAction(int keyAction);

        BaseFragment getCurrentFragment();
    }

    interface BtTriggerPresenter extends BasePresenter {

        void getBTTriggerInfo();

        boolean setInventoryVoiceParam(boolean ifOpenVoice, int voiceLevel);

        boolean setInvLampInstructParam(boolean isChecked);

        boolean setFanSwitch(boolean isChecked);
    }
}
