package com.puppy.uhfexample.presenter;

import com.puppy.uhf.UHFManager;
import com.puppy.uhfexample.base.BaseView;
import com.puppy.uhfexample.MyApp;

public class DestroyImpl implements DestoryContract.DestoryPresenter {

    private DestoryContract.DestoryView mDestoryView;

    public DestroyImpl(BaseView mBaseView) {
        mDestoryView = (DestoryContract.DestoryView) mBaseView;
    }

    @Override
    public void attachView(BaseView baseView) {

    }

    @Override
    public void detachView() {
        mDestoryView = null;
    }

    private UHFManager getUHFManager() {
        return MyApp.getMyApp().getUHFManager();
    }

    @Override
    public boolean killTag(String pwd, int bank, int address, int length, String data) {
        return getUHFManager().killTag(pwd, bank, address, length, data);
    }
}
