package com.puppy.uhfexample.presenter;

import com.puppy.uhf.UHFManager;
import com.puppy.uhfexample.base.BaseView;
import com.puppy.uhfexample.MyApp;

public class LockImpl implements LockContract.LockPresenter {

    private LockContract.LockView mLockView;

    public LockImpl(BaseView mBaseView) {
        mLockView = (LockContract.LockView) mBaseView;
    }

    @Override
    public void attachView(BaseView baseView) {

    }

    @Override
    public void detachView() {
        mLockView = null;
    }

    private UHFManager getUHFManager() {
        return MyApp.getMyApp().getUHFManager();
    }

    @Override
    public boolean lockMen(String pwd, byte uhfbyte, int address, int length, String data, int lockitem,int locktype) {
        return getUHFManager().lockMen(pwd, uhfbyte, address, length, data, lockitem,0);
    }

    @Override
    public boolean unlockMen(String pwd, byte uhfbyte, int address, int length, String data, int lockitem,int locktype) {
        return getUHFManager().unlockMen(pwd, uhfbyte, address, length, data, lockitem,0);
    }
}
