package com.puppy.uhfexample.presenter;


import com.puppy.uhf.UHFManager;
import com.puppy.uhfexample.base.BaseView;
import com.puppy.uhfexample.MyApp;

public class WriteImpl implements WriteContract.WritePresenter {

    private WriteContract.WriteView mWriteView;

    public WriteImpl(BaseView mBaseView) {
        mWriteView = (WriteContract.WriteView) mBaseView;
    }

    @Override
    public void attachView(BaseView baseView) {

    }

    @Override
    public void detachView() {
        mWriteView = null;
    }

    private UHFManager getUHFManager() {
        return MyApp.getMyApp().getUHFManager();
    }

    @Override
    public boolean writeTag(String pwd, int filterArea, int filterAddress, int filterLength, String filterData, int readArea, int readAddress, int readLength, String readData) {
        return getUHFManager().writeTag(pwd, filterArea, filterAddress, filterLength, filterData, readArea, readAddress, readLength, readData);
    }

    @Override
    public String readTag(String pwd, int filterArea, int filterAddress, int filterLength, String filterData, int readArea, int readAddress, int readLength) {
        return getUHFManager().readTag(pwd, filterArea, filterAddress, filterLength, filterData, readArea, readAddress, readLength);
    }

    @Override
    public boolean writeDataToEpc(String pwd, int readAddress, int readLength, String readData) {
        return getUHFManager().writeDataToEpc(pwd,readAddress,readLength,readData);
    }
}
