package com.puppy.uhfexample.util;

import androidx.annotation.NonNull;

/**
 * Tool classes that handle threads that do not catch exceptions
 */
public class CrashHandler implements Thread.UncaughtExceptionHandler {

    @Override
    public void uncaughtException(@NonNull Thread thread, @NonNull Throwable throwable) {
        MLog.e("Thread = " + thread.getName() + " Cause = " + throwable.getCause() + " exception = " + throwable.getMessage());
    }
}
