package com.puppy.uhfexample.bean;

import com.puppy.uhfexample.util.LogAnnotation;

@LogAnnotation
public class UHFParamBean {

    public static UHFParamBean getInstance() {
        return MySingleton.singleton;
    }

    private static class MySingleton {
        final static UHFParamBean singleton = new UHFParamBean();
    }

    private UHFParamBean() {
    }

    private int power;

    private int frequency;

    private int session;

    public int getPower() {
        return power;
    }

    public void setPower(int power) {
        this.power = power;
    }

    public int getFrequency() {
        return frequency;
    }

    public void setFrequency(int frequency) {
        this.frequency = frequency;
    }

    public int getSession() {
        return session;
    }

    public void setSession(int session) {
        this.session = session;
    }
}
