package com.puppy.uhfexample.presenter;

import com.puppy.uhfexample.base.BasePresenter;
import com.puppy.uhfexample.base.BaseView;

public interface GeneralSettingsContract {

    interface GeneralSettingsView extends BaseView {

        void refreshPower(int power);

        void refreshFrequency(int frequency);


        void allConfigUpdate(int power, int frequency);
    }

    interface GeneralSettingsPresenter extends BasePresenter {

        void initConfig();

        boolean sessionModeSet(int var1);

        int sessionModeGet();

        boolean inventoryWaitTimeSet(int var1, int var2, boolean var3);

        int[] inventoryWaitTimeGet();

        boolean frequenceRangeSet(int[] var1, int var2, boolean var3);

        int[] frequenceRangeGet();

        int frequencyModeGet();

        boolean frequencyModeSet(int var1);

    }
}
