package com.puppy.uhfexample.presenter;

import com.puppy.uhfexample.base.BasePresenter;
import com.puppy.uhfexample.base.BaseView;

public interface SearchContract {


    interface SearchView extends BaseView {

        void triggerKeyDown();

        void getInvData(String[] data);
    }

    interface SearchPresenter extends BasePresenter {
        boolean setFilterData(int bank, int address, int length, String data, boolean save);

        boolean frequency91520MHZRangSet(boolean ifSaved);

        boolean startInventoryTag();

        boolean stopInventory();

        void playSound(int val);

        void addInventoryDataGetListener();

        boolean clearFilterData(byte b, String data, boolean ifSaved);
    }
}
