package com.puppy.uhfexample.presenter;

import com.puppy.uhfexample.base.BasePresenter;
import com.puppy.uhfexample.base.BaseView;

import java.util.List;

public interface SystemSettingsContract {

    interface SystemSettingsView extends BaseView {
        void showVersionInfo(String[] args);

        void getUpdateResult(boolean result);

        void resetConfigResult(boolean flag);

        void refreshTemperatureAndReturnLoss(String temperature, String antennaReturnLoss);

        void goToReConnect();
    }

    interface SystemSettingsPresenter extends BasePresenter {

        void initSettingsInfo();

        List<String> getBinFileName();

        void updateFirmware();

        void setBinName(String fileName);

        void reSetModuleConfig();

        void updateBTFirmware();
    }
}
