package com.puppy.uhfexample.util;

import android.widget.Toast;

import com.puppy.uhfexample.MyApp;

public class MUtil {

    public static void show(String text) {
        Toast.makeText(MyApp.getMyApp(), text, Toast.LENGTH_SHORT).show();
    }

    public static void show(int rid) {
        Toast.makeText(MyApp.getMyApp(), rid, Toast.LENGTH_SHORT).show();
    }


    /**
     * Convert byte array to hex
     *
     * @param bytes
     * @return
     */
    public static String byteToHex(byte[] bytes) {
        String strHex = "";
        StringBuilder sb = new StringBuilder("");
        for (int n = 0; n < bytes.length; n++) {
            strHex = Integer.toHexString(bytes[n] & 0xFF);
            sb.append((strHex.length() == 1) ? "0" + strHex : strHex); // Each byte is represented by two characters;if the number of digits is not enough,filled with 0 before the high digit
        }
        return sb.toString().trim();
    }

    /**
     * Convert hex to byte array
     *
     * @param hex
     * @return
     */
    public static byte[] hexToByte(String hex) {
        int m = 0, n = 0;
        int byteLen = hex.length() / 2; // Every two characters to describe a byte
        byte[] ret = new byte[byteLen];
        for (int i = 0; i < byteLen; i++) {
            m = i * 2 + 1;
            n = m + 1;
            int intVal = Integer.decode("0x" + hex.substring(i * 2, m) + hex.substring(m, n));
            ret[i] = Byte.valueOf((byte) intVal);
        }
        return ret;
    }


    public static boolean ifHexString(String str) {
        if (str.length() == 0) {
            return false;
        }
        return str.length() % 2 == 0;
    }

    public static boolean ifBits(String str) {
        if (str.length() == 0) {
            return false;
        }
        return Integer.parseInt(str) % 4 == 0;
    }
}
